/*
 * WebStatsSpammer
 * Copyright (C) 2008 Christian Schenk
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */
package org.christianschenk.webstatsspammer;

import org.christianschenk.webstatsspammer.helper.HttpClientHelper;

public class Runner {

	public static void main(final String[] args) {
		if (args.length < 3) printUsage();

		final String action = args[0].toLowerCase();
		final String targetURL = args[1];
		final HttpClientHelper httpClientHelper = new HttpClientHelper(targetURL);
		if ("referrer".equals(action)) {
			System.out.println("Sending request to " + targetURL + " with referrer set to " + args[2]);
			httpClientHelper.setReferer(args[2]);
		} else if ("google-search".equals(action)) {
			final String googleSearchStrings = getOptions(args);
			System.out.println("Sending request to " + targetURL + " with Google search string set to " + googleSearchStrings);
			httpClientHelper.setGoogleSearchStrings(googleSearchStrings.replaceAll(" ", "%20"));
		} else {
			printUsage();
		}
		httpClientHelper.doGet();
	}

	private static void printUsage() {
		System.out.println("Usage: [action] [target url] [options...]");
		System.out.println("- action: referrer, google-search");
		System.exit(1);
	}

	private static String getOptions(final String[] args) {
		final StringBuffer buf = new StringBuffer();
		for (int i = 2; i < args.length; i++) {
			buf.append(args[i] + " ");
		}
		return buf.toString().trim();
	}
}