/*
 * WebStatsSpammer
 * Copyright (C) 2008 Christian Schenk
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */
package org.christianschenk.webstatsspammer.helper;

import java.io.IOException;
import java.net.URL;

import org.apache.commons.httpclient.HttpClient;
import org.apache.commons.httpclient.URI;
import org.apache.commons.httpclient.methods.GetMethod;

public class HttpClientHelper {

	private final HttpClient httpClient;
	private final URL url;
	private String referer;

	public HttpClientHelper(final String url) {
		this.httpClient = new HttpClient();
		this.url = URLHelper.getURL(url);
		this.referer = null;
	}

	public void setReferer(final String referer) {
		this.referer = referer;
	}

	public void setGoogleSearchStrings(final String searchStrings) {
		this.setReferer("http://www.google.com/search?q=" + searchStrings);
	}

	public void doGet() {
		try {
			final GetMethod method = new GetMethod();
			method.setFollowRedirects(true);
			method.setURI(new URI(this.url.toString(), false));
			if (this.referer != null) method.setRequestHeader("Referer", this.referer);
			this.httpClient.executeMethod(method);
		} catch (final IOException ex) {
			throw new RuntimeException(ex);
		}
	}
}